<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

namespace IMIA\ImiaUser\Xclass\PowermailWithNamespaces\ViewHelpers\Misc;

if (class_exists('In2code\Powermail\ViewHelpers\Misc\PrefillFieldViewHelper')) {

    /**
     * @package     imia_user
     * @subpackage  ViewHelpers
     * @author      David Frerich <d.frerich@imia.de>
     * @author      Markus Ehrlich <m.ehrlich@imia.de>
     */
    class PrefillFieldViewHelper extends \In2code\Powermail\ViewHelpers\Misc\PrefillFieldViewHelper {
        /**
         * Prefill string for fields
         *
         * @param \In2code\Powermail\Domain\Model\Field $field
         * @param \In2code\Powermail\Domain\Model\Mail $mail To prefill in Edit Action
         * @param \int $cycle Cycle Number (1,2,3...) - if filled checkbox or radiobutton
         *
         * @return string|array|bool Prefill field with this string
         */
        public function render(Field $field, Mail $mail = NULL, $cycle = 0) {
            $output = parent::render($field, $mail, $cycle);

            // Default fieldtypes (input, textarea, hidden, select)
            if ($cycle == 0) {
                if ($field->getFeuserValue()) {
                    if (intval($GLOBALS['TSFE']->fe_user->user['uid']) !== 0) { // if fe_user is logged in
                        if ($field->getFeuserValue() == 'name') {
                            $value = $GLOBALS['TSFE']->fe_user->user['first_name'] . ' ' . $GLOBALS['TSFE']->fe_user->user['last_name'];
                        }
                        else {
                            $value = $GLOBALS['TSFE']->fe_user->user[$field->getFeuserValue()];
                        }

                        $output = $value;
                    }
                }
                // Check, Radio
            }
            else {
                $selected = (int) $output;
                $index    = $cycle - 1;
                $options  = $field->getSettings();

                // if field should be filled with FE_User values
                if ($field->getFeuserValue() && intval($GLOBALS['TSFE']->fe_user->user['uid']) !== 0) {  // if fe_user is logged in
                    if ($field->getFeuserValue() == 'name') {
                        $userValue = $GLOBALS['TSFE']->fe_user->user['first_name'] . ' ' . $GLOBALS['TSFE']->fe_user->user['last_name'];
                    }
                    else {
                        $userValue = $GLOBALS['TSFE']->fe_user->user[$field->getFeuserValue()];
                    }

                    if ($userValue == $options[$index]['value'] || $userValue == $options[$index]['label']) {
                        $selected = 1;
                    }
                }

                $output = $selected;
            }

            return $output;
        }
    }
}