<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['fe_users'] = array(
    'ctrl' => $TCA['fe_users']['ctrl'],
    'interface' => array(
        'showRecordFieldList' => 'first_name, last_name, country, image, gender, position, mobile, confirmed, language, pdf, description, gtc, gtc_time',
    ),
    'types' => array(
        0 => array(
            'showitem' => 'username, password, lastlogin, --div--;LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_tab_access, disable, usergroup, --div--;LLL:EXT:cms/locallang_tca.xml:fe_users.tabs.personelData, --palette--;LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_name;name, company;;company, address;;address, --palette--;LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_contact;contact, --div--;LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_tab_description, description, image, pdf',
        ),
    ),
    'palettes' => array(
        'name' => array(
            'showitem' => 'gender, --linebreak--, first_name, last_name',
            'canNotCollapse' => true,
        ),
        'company' => array(
            'showitem' => 'position',
            'canNotCollapse' => true,
        ),
        'address' => array(
            'showitem' => 'zip, city, --linebreak--, country',
            'canNotCollapse' => true,
        ),
        'contact' => array(
            'showitem' => 'telephone, --linebreak--, mobile, --linebreak--, fax, --linebreak--, email',
            'canNotCollapse' => true,
        ),
    ),
    'columns' => array(
        'first_name' => array(
            'label' => '[first_name]',
            'config' => array(
                'size' => '12',
                'eval' => 'trim',
                'type' => 'input',
            ),
        ),
        'last_name' => array(
            'label' => '[last_name]',
            'config' => array(
                'size' => '12',
                'eval' => 'trim',
                'type' => 'input',
            ),
        ),
        'country' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_country',
            'l10n_mode' => 'exclude',
            'config' => array(
                'items' => array(
                    0 => array(
                        0 => '',
                        1 => 0,
                    ),
                ),
                'foreign_table' => 'static_countries',
                'foreign_table_where' => 'ORDER BY static_countries.cn_short_local',
                'size' => '1',
                'maxitems' => '1',
                'minitems' => '0',
                'type' => 'select',
                'default' => '54',
            ),
        ),
        'image' => array(
            'label' => '[image]',
            'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig('image', array(
                'appearance' => array(
                    'createNewRelationLinkTitle' => 'LLL:EXT:cms/locallang_ttc.xlf:images.addFileReference',
                    'appearance' => array(
                        'headerThumbnail' => array(
                            'width' => '64m',
                            'height' => '64m',
                        ),
                    ),
                ),
                'foreign_types' => array(
                    0 => array(
                        'showitem' => '--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette, --palette--;;filePalette',
                    ),
                    1 => array(
                        'showitem' => '--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette, --palette--;;filePalette',
                    ),
                    2 => array(
                        'showitem' => '--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette, --palette--;;filePalette',
                    ),
                    3 => array(
                        'showitem' => '--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette, --palette--;;filePalette',
                    ),
                    4 => array(
                        'showitem' => '--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette, --palette--;;filePalette',
                    ),
                    5 => array(
                        'showitem' => '--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette, --palette--;;filePalette',
                    ),
                ),
                'maxitems' => '1',
            ), 'gif,jpg,jpeg,tif,tiff,bmp,pcx,tga,png,pdf,ai,svg'),
        ),
        'gender' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_gender',
            'l10n_mode' => 'exclude',
            'config' => array(
                'items' => array(
                    0 => array(
                        0 => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_gender_none',
                        1 => '',
                    ),
                    1 => array(
                        0 => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_gender_f',
                        1 => 'f',
                    ),
                    2 => array(
                        0 => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_gender_m',
                        1 => 'm',
                    ),
                ),
                'type' => 'select',
                'default' => '',
            ),
        ),
        'position' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_position',
            'config' => array(
                'eval' => 'trim',
                'type' => 'input',
            ),
        ),
        'mobile' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_mobile',
            'config' => array(
                'eval' => 'trim',
                'type' => 'input',
            ),
        ),
        'confirmed' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_confirmed',
            'l10n_mode' => 'exclude',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'confirm_token' => array(
            'label' => '[confirm_token]',
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        'activate_token' => array(
            'label' => '[activate_token]',
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        'language' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_language',
            'l10n_mode' => 'exclude',
            'config' => array(
                'items' => array(
                    0 => array(
                        0 => '',
                        1 => '',
                    ),
                ),
                'foreign_table' => 'static_languages',
                'type' => 'select',
            ),
        ),
        'pdf' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_pdf',
            'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig('pdf', array(
                'foreign_types' => array(
                    0 => array(
                        'showitem' => 'title, --palette--;;filePalette',
                    ),
                    1 => array(
                        'showitem' => 'title, --palette--;;filePalette',
                    ),
                    2 => array(
                        'showitem' => 'title, --palette--;;filePalette',
                    ),
                    3 => array(
                        'showitem' => 'title, --palette--;;filePalette',
                    ),
                    4 => array(
                        'showitem' => 'title, --palette--;;filePalette',
                    ),
                    5 => array(
                        'showitem' => 'title, --palette--;;filePalette',
                    ),
                ),
                'maxitems' => '1',
            ), 'pdf'),
        ),
        'description' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_description',
            'config' => array(
                'cols' => '40',
                'rows' => '5',
                'type' => 'text',
            ),
        ),
        'gtc' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_gtc',
            'l10n_mode' => 'exclude',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'gtc_time' => array(
            'label' => 'LLL:EXT:imia_user/Resources/Private/Language/DB.xlf:user_gtctime',
            'l10n_mode' => 'exclude',
            'displayCond' => 'FIELD:gtc_time:REQ:true',
            'config' => array(
                'size' => '13',
                'max' => '20',
                'eval' => 'datetime',
                'checkbox' => '0',
                'type' => 'input',
                'default' => '0',
                'readOnly' => '1',
            ),
        ),
   ),
);